#! /bin/bash

xhost +
docker run --privileged --rm --network host -it \
  --gpus all --shm-size=16g --ulimit memlock=-1 --ulimit stack=67108864 \
  --volume "$(pwd)"/:/RapidPoseTriangulation/ \
  --volume "$(pwd)"/extras/easypose/pipeline.py:/EasyPose/easypose/pipeline.py \
  --volume "$(pwd)"/extras/easypose/base_model.py:/EasyPose/easypose/model/base_model.py \
  --volume "$(pwd)"/extras/easypose/detection.py:/EasyPose/easypose/model/detection.py \
  --volume "$(pwd)"/extras/easypose/pose.py:/EasyPose/easypose/model/pose.py \
  --volume "$(pwd)"/extras/easypose/utils.py:/EasyPose/easypose/model/utils.py \
  --volume "$(pwd)"/../datasets/:/datasets/ \
  --volume "$(pwd)"/skelda/:/skelda/ \
  --volume /tmp/.X11-unix:/tmp/.X11-unix \
  --env DISPLAY --env QT_X11_NO_MITSHM=1 \
  rpt_easypose
